Package com.emc.d2fs.models.structure

# Class ConvertStructureConfig

java.lang.Object
com.emc.d2fs.models.structure.ConvertStructureConfig

All Implemented Interfaces:
  `Serializable`

public class ConvertStructureConfig extends Object implements Serializable

Java class for convert_structure_config complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="convert_structure_config">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="config_name" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="creation_profile" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConvertStructureConfig()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getConfigName()`
  Gets the value of the configName property.
  `String`
  `getCreationProfile()`
  Gets the value of the creationProfile property.
  `void`
  `setConfigName(String value)`
  Sets the value of the configName property.
  `void`
  `setCreationProfile(String value)`
  Sets the value of the creationProfile property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConvertStructureConfig

    public ConvertStructureConfig()

- ## Method Details

  - ### getConfigName

    public String getConfigName()
    Gets the value of the configName property.
    Returns:
      possible object is `String`

  - ### setConfigName

    public void setConfigName(String value)
    Sets the value of the configName property.
    Parameters:
      `value` - allowed object is `String`

  - ### getCreationProfile

    public String getCreationProfile()
    Gets the value of the creationProfile property.
    Returns:
      possible object is `String`

  - ### setCreationProfile

    public void setCreationProfile(String value)
    Sets the value of the creationProfile property.
    Parameters:
      `value` - allowed object is `String`